#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1519\r"; sleep 2;
echo -e "write (0,1) -1608\r"; sleep 2;
echo -e "write (0,2) -1615\r"; sleep 2;
echo -e "write (0,3) -1600\r"; sleep 2;
echo -e "write (0,4) -1536\r"; sleep 2;
echo -e "write (0,5) -1502\r"; sleep 2;
echo -e "write (0,6) -1663\r"; sleep 2;
echo -e "write (0,9) -1658\r"; sleep 2;
echo -e "write (0,10) -1559\r"; sleep 2;
echo -e "write (0,11) -1436\r"; sleep 2;
echo -e "write (0,12) -1456\r"; sleep 2;
echo -e "write (0,13) -1443\r"; sleep 2;
echo -e "write (0,14) -1524\r"; sleep 2;
echo -e "write (1,0) -1481\r"; sleep 2;
echo -e "write (1,1) -1540\r"; sleep 2;
echo -e "write (1,2) -1411\r"; sleep 2;
echo -e "write (1,3) -1430\r"; sleep 2;
echo -e "write (1,4) -1600\r"; sleep 2;
echo -e "write (1,5) -1460\r"; sleep 2;
echo -e "write (1,6) -1520\r"; sleep 2;
echo -e "write (1,9) -1627\r"; sleep 2;
echo -e "write (1,10) -1384\r"; sleep 2;
echo -e "write (1,11) -1303\r"; sleep 2;
echo -e "write (1,12) -1422\r"; sleep 2;
echo -e "write (1,13) -1480\r"; sleep 2;
echo -e "write (1,14) -1326\r"; sleep 2;
echo -e "write (2,0) -1522\r"; sleep 2;
echo -e "write (2,1) -1434\r"; sleep 2;
echo -e "write (2,2) -1432\r"; sleep 2;
echo -e "write (2,3) -1450\r"; sleep 2;
echo -e "write (2,4) -1625\r"; sleep 2;
echo -e "write (2,5) -1487\r"; sleep 2;
echo -e "write (2,6) -1596\r"; sleep 2;
echo -e "write (2,9) -1388\r"; sleep 2;
echo -e "write (2,10) -1328\r"; sleep 2;
echo -e "write (2,11) -1473\r"; sleep 2;
echo -e "write (2,12) -1497\r"; sleep 2;
echo -e "write (2,14) -1431\r"; sleep 2;
echo -e "write (3,0) -1663\r"; sleep 2;
echo -e "write (3,1) -1544\r"; sleep 2;
echo -e "write (3,2) -1524\r"; sleep 2;
echo -e "write (3,3) -1652\r"; sleep 2;
echo -e "write (3,4) -1570\r"; sleep 2;
echo -e "write (3,5) -1414\r"; sleep 2;
echo -e "write (3,6) -1404\r"; sleep 2;
echo -e "write (3,9) -1437\r"; sleep 2;
echo -e "write (3,10) -1484\r"; sleep 2;
echo -e "write (3,11) -1299\r"; sleep 2;
echo -e "write (3,12) -1413\r"; sleep 2;
echo -e "write (3,13) -1491\r"; sleep 2;
echo -e "write (3,14) -1589\r"; sleep 2;
echo -e "write (4,0) -1335\r"; sleep 2;
echo -e "write (4,1) -1467\r"; sleep 2;
echo -e "write (4,2) -1653\r"; sleep 2;
echo -e "write (4,3) -1587\r"; sleep 2;
echo -e "write (4,4) -1436\r"; sleep 2;
echo -e "write (4,5) -1643\r"; sleep 2;
echo -e "write (4,6) -1685\r"; sleep 2;
echo -e "write (4,9) -1618\r"; sleep 2;
echo -e "write (4,10) -1536\r"; sleep 2;
echo -e "write (4,11) -1406\r"; sleep 2;
echo -e "write (4,12) -1641\r"; sleep 2;
echo -e "write (4,13) -1291\r"; sleep 2;
echo -e "write (4,14) -1464\r"; sleep 2;
echo -e "write (5,0) -1371\r"; sleep 2;
echo -e "write (5,1) -1435\r"; sleep 2;
echo -e "write (5,2) -1562\r"; sleep 2;
echo -e "write (5,3) -1411\r"; sleep 2;
echo -e "write (5,4) -1392\r"; sleep 2;
echo -e "write (5,5) -1431\r"; sleep 2;
echo -e "write (5,6) -1530\r"; sleep 2;
echo -e "write (5,9) -1495\r"; sleep 2;
echo -e "write (5,10) -1417\r"; sleep 2;
echo -e "write (5,11) -1625\r"; sleep 2;
echo -e "write (5,12) -1400\r"; sleep 2;
echo -e "write (5,14) -1445\r"; sleep 2;
echo -e "write (5,15) -1408\r"; sleep 2;
echo -e "write (6,0) -1504\r"; sleep 2;
echo -e "write (6,1) -1600\r"; sleep 2;
echo -e "write (6,2) -1615\r"; sleep 2;
echo -e "write (6,3) -1488\r"; sleep 2;
echo -e "write (6,4) -1600\r"; sleep 2;
echo -e "write (6,5) -1609\r"; sleep 2;
echo -e "write (6,6) -1511\r"; sleep 2;
echo -e "write (6,9) -1600\r"; sleep 2;
echo -e "write (6,10) -1649\r"; sleep 2;
echo -e "write (6,12) -1580\r"; sleep 2;
echo -e "write (6,13) -1388\r"; sleep 2;
echo -e "write (6,14) -1549\r"; sleep 2;
echo -e "write (7,0) -1527\r"; sleep 2;
echo -e "write (7,1) -1438\r"; sleep 2;
echo -e "write (7,2) -1546\r"; sleep 2;
echo -e "write (7,3) -1557\r"; sleep 2;
echo -e "write (7,4) -1570\r"; sleep 2;
echo -e "write (7,5) -1255\r"; sleep 2;
echo -e "write (7,6) -1605\r"; sleep 2;
echo -e "write (7,9) -1545\r"; sleep 2;
echo -e "write (7,10) -1600\r"; sleep 2;
echo -e "write (7,11) -1465\r"; sleep 2;
echo -e "write (7,12) -1497\r"; sleep 2;
echo -e "write (7,13) -1429\r"; sleep 2;
echo -e "write (7,14) -1549\r"; sleep 2;
echo -e "write (8,0) -1455\r"; sleep 2;
echo -e "write (8,1) -1407\r"; sleep 2;
echo -e "write (8,2) -1436\r"; sleep 2;
echo -e "write (8,3) -1676\r"; sleep 2;
echo -e "write (8,4) -1665\r"; sleep 2;
echo -e "write (8,5) -1460\r"; sleep 2;
echo -e "write (8,6) -1406\r"; sleep 2;
echo -e "write (8,9) -1496\r"; sleep 2;
echo -e "write (8,10) -1563\r"; sleep 2;
echo -e "write (8,11) -1560\r"; sleep 2;
echo -e "write (8,12) -1588\r"; sleep 2;
echo -e "write (8,13) -1316\r"; sleep 2;
echo -e "write (8,14) -1666\r"; sleep 2;
echo -e "write (9,0) -1649\r"; sleep 2;
echo -e "write (9,1) -1458\r"; sleep 2;
echo -e "write (9,2) -1413\r"; sleep 2;
echo -e "write (9,3) -1422\r"; sleep 2;
echo -e "write (9,4) -1393\r"; sleep 2;
echo -e "write (9,5) -1446\r"; sleep 2;
echo -e "write (9,6) -1436\r"; sleep 2;
echo -e "write (9,9) -1642\r"; sleep 2;
echo -e "write (9,10) -1594\r"; sleep 2;
echo -e "write (9,11) -1407\r"; sleep 2;
echo -e "write (9,12) -1668\r"; sleep 2;
echo -e "write (9,13) -1600\r"; sleep 2;
echo -e "write (9,14) -1617\r"; sleep 2;
echo -e "write (10,0) -1457\r"; sleep 2;
echo -e "write (10,1) -1635\r"; sleep 2;
echo -e "write (10,2) -1606\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1497\r"; sleep 2;
echo -e "write (10,5) -1393\r"; sleep 2;
echo -e "write (10,6) -1401\r"; sleep 2;
echo -e "write (10,9) -1642\r"; sleep 2;
echo -e "write (10,10) -1487\r"; sleep 2;
echo -e "write (10,11) -1634\r"; sleep 2;
echo -e "write (10,12) -1600\r"; sleep 2;
echo -e "write (10,13) -1419\r"; sleep 2;
echo -e "write (10,14) -1614\r"; sleep 2;
echo -e "write (11,0) -1384\r"; sleep 2;
echo -e "write (11,1) -1610\r"; sleep 2;
echo -e "write (11,2) -1658\r"; sleep 2;
echo -e "write (11,3) -1700\r"; sleep 2;
echo -e "write (11,4) -1662\r"; sleep 2;
echo -e "write (11,5) -1384\r"; sleep 2;
echo -e "write (11,6) -1448\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1417\r"; sleep 2;
echo -e "write (11,11) -1615\r"; sleep 2;
echo -e "write (11,12) -1525\r"; sleep 2;
echo -e "write (11,13) -1362\r"; sleep 2;
echo -e "write (11,14) -1678\r"; sleep 2;
echo -e "write (12,0) -1413\r"; sleep 2;
echo -e "write (12,1) -1550\r"; sleep 2;
echo -e "write (12,2) -1497\r"; sleep 2;
echo -e "write (12,3) -1509\r"; sleep 2;
echo -e "write (12,4) -1607\r"; sleep 2;
echo -e "write (12,5) -1569\r"; sleep 2;
echo -e "write (12,6) -1478\r"; sleep 2;
echo -e "write (12,9) -1435\r"; sleep 2;
echo -e "write (12,10) -1325\r"; sleep 2;
echo -e "write (12,11) -1497\r"; sleep 2;
echo -e "write (12,12) -1369\r"; sleep 2;
echo -e "write (12,13) -1447\r"; sleep 2;
echo -e "write (12,14) -1490\r"; sleep 2;
echo -e "write (13,0) -1479\r"; sleep 2;
echo -e "write (13,1) -1608\r"; sleep 2;
echo -e "write (13,2) -1659\r"; sleep 2;
echo -e "write (13,3) -1437\r"; sleep 2;
echo -e "write (13,4) -1360\r"; sleep 2;
echo -e "write (13,5) -1461\r"; sleep 2;
echo -e "write (13,6) -1420\r"; sleep 2;
echo -e "write (13,9) -1648\r"; sleep 2;
echo -e "write (13,10) -1473\r"; sleep 2;
echo -e "write (13,11) -1362\r"; sleep 2;
echo -e "write (13,12) -1381\r"; sleep 2;
echo -e "write (13,13) -1449\r"; sleep 2;
echo -e "write (13,14) -1386\r"; sleep 2;
echo -e "write (14,0) -1366\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1328\r"; sleep 2;
echo -e "write (14,4) -1413\r"; sleep 2;
echo -e "write (14,5) -1405\r"; sleep 2;
echo -e "write (14,6) -1502\r"; sleep 2;
echo -e "write (14,7) -1639\r"; sleep 2;
echo -e "write (14,9) -1568\r"; sleep 2;
echo -e "write (14,10) -1430\r"; sleep 2;
echo -e "write (14,11) -1467\r"; sleep 2;
echo -e "write (14,12) -1499\r"; sleep 2;
echo -e "write (14,13) -1502\r"; sleep 2;
echo -e "write (14,14) -1535\r"; sleep 2;
echo -e "write (15,0) -1607\r"; sleep 2;
echo -e "write (15,1) -1644\r"; sleep 2;
echo -e "write (15,2) -1676\r"; sleep 2;
echo -e "write (15,15) -1644\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7008 > ../hvlog_run15/fms_hvon_7008_$t.tex
echo Set new HV
cat ../hvlog_run15/fms_hvon_7008_$t.tex
